Bug 50719 - cvs build failure
Summary: cvs build failure
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: cvs   
(Show other bugs)
Version: roswell
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-02 15:36 UTC by Christopher McCrory
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-02 15:36:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Christopher McCrory 2001-08-02 15:36:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010712

Description of problem:
rpm --rebuild cvs-1.11.1p1-2.src.rpm fails

build platform is i686 RH7.1 with updates 

How reproducible:
Always

Steps to Reproduce:
1. (as user not root) rpm --rebuild cvs-1.11.1p1-2.src.rpm
2.
3.
	

Actual Results:  ...
...
FAIL: basic2-27
make[2]: *** [check-local] Error 1
make[2]: Leaving directory `/home/chrismcc/redhat/BUILD/cvs-1.11.1p1/src'
make[1]: *** [check-am] Error 2
make[1]: Leaving directory `/home/chrismcc/redhat/BUILD/cvs-1.11.1p1/src'
make: *** [check-recursive] Error 1
error: Bad exit status from /home/chrismcc/redhat/tmp/rpm-tmp.43849 (%build)


RPM build errors:
    Bad exit status from /home/chrismcc/redhat/tmp/rpm-tmp.43849 (%build)



Expected Results:  success :)

Additional info:

Tried this also:
[chrismcc@dev rsync]$ diff -u ~/redhat/SPECS/cvs.spec
~/redhat/SPECS/cvs-pg.spec 
--- /home/chrismcc/redhat/SPECS/cvs.spec	Mon Jun 25 11:25:46 2001
+++ /home/chrismcc/redhat/SPECS/cvs-pg.spec	Thu Aug  2 07:50:42 2001
@@ -47,8 +47,12 @@
 aclocal
 automake
 autoconf
-
+mkdir tmp
+export TESTDIR=`pwd`/tmp
 %build
+export TESTDIR=`pwd`/tmp
+unalias -a
+
 %{!?nokerberos: CPPFLAGS="-I/usr/kerberos/include"; export CPPFLAGS}
 %{!?nokerberos: CFLAGS="-I/usr/kerberos/include $RPM_OPT_FLAGS"; export
CFLAGS} %{!?nokerberos: LIBS="-L/usr/kerberos/lib -lkrb4 -ldes425
-lk5crypto -lcom_err"; export LIBS}

The export TESTDIR should probably be added to the spec file anyway

The dist version was probably built as root.  according to the spec file,
when built as root the 'make check' is skipped

Comment 1 Christopher McCrory 2001-08-03 21:23:38 UTC
D'oh

Tried on a roswell machine: works
Tried on another RH7.1 machine: works

I must have screwed up something on my devel machine...




Note You need to log in before you can comment on or make changes to this bug.